<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Admin_home extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('xfront_user') == '')
      redirect(base_url(), 'refresh');

    $this->load->model('dashboard_model');
  }

  public function index()
  {
    $this->pager();
  }

  public function pager()
  {
    if ($this->input->get('chart_toggle')) return $this->chart();
    $totals = $this->dashboard_model->_get_total() ?: 0;
    $sales  = $this->dashboard_model->_get_sales() ?: 0;
    $supply = $this->dashboard_model->_get_supply() ?: 0;
    $staff_sales = $this->dashboard_model->_get_staff_sales() ?: [];
    $expenses = $this->dashboard_model->_get_expenses() ?: 0;
    $pending  = $this->dashboard_model->_get_orders('0');
    $approved = $this->dashboard_model->_get_orders('1');
    $declined = $this->dashboard_model->_get_orders('2');
    $clients = $this->dashboard_model->_get_clients() ?: [];
    $outlets = $this->dashboard_model->_get_outlets() ?: [];
    $orders = $this->dashboard_model->_get_orders('all') ?: [];
    $this->load->view('default', [
      'page'     => 'dashboard', 
      'totals'   => json_encode($totals), 
      'sales'    => json_encode($sales), 
      'supply'   => json_encode($supply), 
      'expenses' => json_encode($expenses),
      'pending'  => $pending,
      'approved' => $approved,
      'declined' => $declined,
      'orders'   => $orders,
      'outlets'  => $outlets,
      'clients'  => $clients,
      'staff_sales'  => $staff_sales
    ]);
  }

  function chart()
  {
    $_SESSION['chart_toggle'] = ($this->input->get('chart_toggle') == 'yearly') ?  "yearly" : "monthly";
    echo json_encode(['status'=>'success', 'message'=>'']);
  }
}
