<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Cart_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();
    if (strstr(current_url(), 'signout') == '' && strstr(current_url(), '/theme') == '' && $this->session->userdata('xfront_admin') != null)
      redirect(base_url(), 'refresh');

    $this->load->model('cart_model');
    $this->load->model('index_model');
    $this->load->model('account_model');
  }

  public function index() {}

  function details()
  {
    $check = $this->cart_model->_get_item($this->input->get('k'));

    $data['data'] = $check;
    $data['crumbs'] = ['categories', 'product details'];
    $data['suggestion'] = $this->cart_model->_get_suggestions($check);
    $data['currency'] = $this->index_model->_get_currency() ?: "";

    $this->present('details', $data);
  }

  function more()
  {

    $items = ['latest', 'random', 'offers', 'popular'];
    $cate = $this->input->get('k');


    switch ($cate) {
      case 'latest':
        // Call function or perform action for item1
        $data['data']  = $this->index_model->_get_latest();
        break;

      case 'random':
        // Call function or perform action for item2
        $data['data']  = $this->index_model->_get_random();
        break;

      case 'offers':
        // Call function or perform action for item3
        $data['data']  = $this->index_model->_get_discounted();
        break;

      case 'popular':
        // Call function or perform action for item4
        $data['data'] = $this->index_model->_get_popular();
        break;

      default:
        // Default case if the item is not in the list
        echo "Item not found in the list";
        break;
    }


    $data['crumbs'] = ['' . $cate];
    $data['market'] = $this->index_model->_get_market(40);
    // $data['suggestion'] = $this->cart_model->_get_suggestions($check);
    $this->present('more', $data);
  }

  function cart()
  {
    $act  = $this->input->get('k');
    $item = $this->cart_model->_get_item($this->input->get('item_id'));
    if ($act !== 'clear' && !$item) exit(json_encode(['status' => 'error', 'message' => 'Product not found']));

    $cart = $this->session->userdata('xcel-cart') ?: [];
    if ($act === 'clear') $cart = [];
    elseif ($act === 'add' && !in_array($item->token, $cart)) {
      $this->cart_model->_add_item($item->token);
      array_push($cart, $item->token);
    } elseif ($act === 'drop' && in_array($item->token, $cart)) {
      array_splice($cart, array_search($item->token, $cart), 1);
      $this->cart_model->_drop_item($item->token);
    }

    $_SESSION['xcel-cart'] = $cart;
    $status = ($act == 'add') ? 'success' : 'warning';
    echo json_encode(['status' => 'success', 'message' => count($cart), 'extra' => 'Product ' . ($act == 'add' ? 'added to' : 'removed from') . ' cart']);
  }

  function checkout()
  {
    if (!isset($_SESSION['xfront_customer'])) {
      $_SESSION['xfront_back'] = current_url();
      $this->session->set_flashdata('xfront_message', 'You need to login to your account to checkout your cart');
      if ($this->input->is_ajax_request())
        exit(json_encode(['status' => 'success', 'message' => '', 'extra' => base_url('signin.aspx')]));
      else redirect(base_url('signin.aspx'), 'refresh');
    }
    $data['crumbs'] = ['categories', 'product details', 'cart', 'checkout'];
    $data['data'] = [];
    $data['currency'] = $this->index_model->_get_currency() ?: "";
    $k = $this->input->get('k');
    $data['profile'] = $this->cart_model->_get_user();
    $payment = $this->cart_model->_get_payment();
    $voucher = $this->cart_model->_get_voucher();
    $shipping = $this->cart_model->_get_shipping($voucher);
    $addresses = $this->account_model->_get_addresses() ?: [];
    if ($this->cart_model->_get_pending()) {
      if (!$this->input->is_ajax_request()) redirect(base_url('account.aspx'));
      exit(json_encode(['status' => 'error', 'message' => 'You cannot make purchases at this time <br />Please clear all outstanding payments']));
    }
    if ($k == 'check') {
      $cart_data = $update = [];
      $total = 0;
      foreach ($this->input->post() as $key => $value) {
        $item = $this->cart_model->_get_item($key);
        if (!$item) continue;
        $price = $this->cart_model->_get_price($key, 'a577f519b58b533e400cf28a7464576babf92121');
        $this->db->where("`date` IS NULL");
        $check = $this->cart_model->_get_sale(['customer' => $_SESSION['xfront_customer'], 'item' => $key]);
        if (!$check) {
          $cart_data[] = [
            'token'            => hash('sha256', time() . random_bytes(16)),
            'voucher'          => $voucher,
            'price'            => $price[0],
            'cost_price'       => $price[1],
            'item'             => $key,
            'is_completed'     => 0,
            'type'             => 2,
            'total'            => $price[0] * $value,
            'total_cost_price' => $price[1] * $value,
            'customer_name'    => '',
            'customer_phone'   => '',
            'warehouse'        => '',
            'customer'         => $_SESSION['xfront_customer'],
            'quantity'         => $value,
            'done_by'          => $_SESSION['xfront_customer']
          ];
        } else {
          $update[] = [
            'token' => $check['token'],
            'price' => $price[0],
            'total' => $price[0] * $value,
            'quantity' => $value,
            'cost_price' => $price[1],
            'total_cost_price' => $price[1] * $value
          ];
        }
        $total += $value * $price[0];
        $_SESSION['subtotal'] = $total;
      }
      if (count($cart_data) > 0 && !$this->cart_model->_post_many($cart_data)) exit(json_encode(['status' => 'error', 'message' => 'An unknown error occurred during checkout']));
      if (count($update) > 0) $this->cart_model->_put_many('token', $update);

      if ($shipping) {
        $this->cart_model->_put_shipping(['total' => $total], $shipping['token']);
      }

      exit(json_encode(['status' => 'success', 'message' => '', 'extra' => base_url('checkout?k=process')]));
    } elseif ($k == 'details') {
      $name    = trim($this->input->post('names'));
      $city    = trim($this->input->post('city'));
      $phone   = trim($this->input->post('phone'));
      $address = trim($this->input->post('address'));
      $country = trim($this->input->post('country'));
      $zipcode = trim($this->input->post('zipcode'));

      if ($name == '' or $city == '' or $phone == '' or $address == '' or $country == '' or $zipcode == '')
        exit(json_encode(['status' => 'error', 'message' => 'Fill in all fields']));
      if (!is_numeric(str_replace(' ', '', $phone))) exit(json_encode(['status' => 'error', 'message' => 'Phone number is invalid']));

      $details = [
        'name' => $name,
        'city' => $city,
        'phone' => $phone,
        'address' => $address,
        'country' => $country,
        'zipcode' => $zipcode
      ];

      $shipping_fee  = $this->cart_model->_get_shipping_fee($city);

      $update = [
        'total' => $_SESSION['subtotal'] ?? 0,
        'shipping' => json_encode($details),
        'shipping_fee' => $shipping_fee
      ];

      if (!$shipping) {
        $this->db->where("`date` IS NULL");
        $cart = $this->cart_model->_get_sale(['customer' => $_SESSION['xfront_customer']]) ?: [];
        $update['voucher'] = $cart['voucher'] ?? '';
        $update['customer'] = $_SESSION['xfront_customer'];
        $this->cart_model->_post_shipping($update);
      } else {
        $this->cart_model->_put_shipping($update, $shipping['token']);
      }
      exit(json_encode(['status' => 'success', 'message' => '', 'extra' => base_url('checkout?k=method&type=paynow')])); // Skip payment type selection page
      exit(json_encode(['status' => 'success', 'message' => '', 'extra' => base_url('checkout?k=payment')])); // Got to payment selection screen
    } elseif ($k == 'method') {
      $type = $this->input->get('type');
      $amount = $this->input->post('amount');
      if (!in_array($type, ['paynow', 'installment'])) exit(json_encode(['status' => 'error', 'message' => 'Invalid data received']));
      if ($type == 'installment' && (!is_numeric($amount) or $amount < 1)) exit(json_encode(['status' => 'error', 'message' => 'Enter a valid payment amount']));

      if (!$shipping) exit(json_encode(['status' => 'error', 'message' => 'Shipment Error']));
      $total = $shipping['total'] + $shipping['shipping_fee'];

      $payment = $this->cart_model->_get_payment();
      $discount = $payment['code_discount'] ?? 0;
      if ($amount > ($total - $discount)) exit(json_encode(['status' => 'error', 'message' => 'Deposit amount: <b>' . number_format($amount) . '</b><br /> is more than Order total: <b>' . number_format($total - $discount) . '</b>']));
      if ($type == 'paynow') $amount = $total;
      $update = [
        'amount'   => (($type == 'paynow') ? ($amount - $discount) : $amount),
        'pay_type' => ($type == 'paynow') ? 0 : 1,
      ];

      if (!$payment) {
        $update['payer_type'] = 'self';
        $update['supply_id']  = $shipping['voucher'];
        $update['payer_id']   = $_SESSION['xfront_customer'];
        $this->cart_model->_post_payment($update);
      } else {
        $this->cart_model->_put_payment($update, $payment['token']);
      }
      if ($type == 'paynow') redirect(base_url('checkout?k=review'), 'refresh');
      else exit(json_encode(['status' => 'success', 'message' => '', 'extra' => base_url('checkout?k=review')]));
    } elseif ($k == 'code') {
      $code = trim($this->input->post('code'));
      // $code = $this->cart_model->_get_code($code);
      if (!$payment or !$shipping) exit(json_encode(['status' => 'error', 'message' => 'An error occurred while processing code']));

      if ($code == '') exit(json_encode(['status' => 'error', 'message' => 'Enter Promo code']));
      if (!$code) exit(json_encode(['status' => 'error', 'message' => 'Promo code is invalid']));

      $update = [
        'code_discount' => 500,
        'code'          => $code['code'] ?? 'XCEL123',
        'amount'        => $shipping['total'] + $shipping['shipping_fee'] - 500
      ];
      $this->cart_model->_put_payment($update, $payment['token']);
      $this->session->set_flashdata('xfront_message', 'A discount of <span class="money">500</span> has been applied successfully');
      exit(json_encode(['status' => 'success', 'message' => '', 'extra' => 'reload']));
    } elseif ($k == 'complete') {
      $cart = $_SESSION['xcel-cart'];
      $dumps = [];
      $cart_data = $this->cart_model->_get_cart();
      foreach ($cart_data as $row) {
        if (!in_array($row['item'], $cart)) {
          $dumps[] = [
            'token' => $row['token'],
            'status' => 1
          ];
        }
      }
      if (count($dumps) > 0) $this->cart_model->_put_many('token', $dumps);
    } elseif ($k == 'review') {
      if (!isset($_SESSION['xcel-cart'])) redirect(base_url('shop/cart.aspx'), 'refresh');
      $data['data'] = [];
      $data['cart'] = $this->cart_model->_get_cart();
      foreach ($_SESSION['xcel-cart'] as $item) {
        $data['data'][$item] = $this->cart_model->_get_item($item);
      }
    }
    $data['shipping'] = $shipping;
    $data['payment']  = $payment;
    $data['addresses']  = $addresses;
    $this->present('checkout', $data);
  }

  function present($page = 'home', $data = [])
  {
    if ($this->input->get('auth') === 'false')
      $this->session->set_userdata('xcel-auth', false);

    $this->load->helper('file');
    $this->load->helper('path');
    $this->load->helper('cookie');
    if (!is_file(APPPATH . "/views/pages/$page.php")) redirect('not_found');
    $data['auth'] = $this->session->userdata('xcel-auth');
    $data['page'] = $page;
    $this->load->view('shopping', $data);
  }
}
