<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Payment_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();
    if ($this->session->userdata('xfront_customer') == '' && strpos(current_url(), 'verifx_pay/') === false) redirect(base_url(), 'refresh');
    if (strpos(current_url(), 'verifx_pay/') !== false && !in_array($this->input->ip_address(), ['52.31.139.75', '52.49.173.169', '52.214.14.220'])) exit();
    $this->load->model('payment_model');
  }

  public function index()
  {
    redirect('illegal_access');
  }

  function paynow()
  {
    if ($this->input->get('paystack') === 'redirecting') {
      $this->load->model('account_model');
      $amount = $this->input->post('amount');
      if (!is_numeric($amount) or $amount < 1) exit(json_encode(['status' => 'error', 'message' => 'Enter a valid payment amount']));
      elseif ($amount < 100) exit(json_encode(['status' => 'error', 'message' => 'Minimum payment amount is <b>100 Naira</b>']));

      $last = $this->account_model->_get_last();
      if (!$last) exit(json_encode(['status' => 'error', 'message' => 'Failed to initialize. No Outstanding found!']));
      if (!is_array($last) && $last === 'WAHALA!') exit(json_encode(['status' => 'error', 'message' => 'Please complete your pending transcation first']));

      if ($amount > $last['total']) exit(json_encode(['status' => 'error', 'message' => 'Deposit amount: <b>' . number_format($amount) . '</b><br /> is more than Outstanding: <b>' . number_format($last['total']) . '</b>']));
      $data = [
        'amount'     => $amount,
        'pay_type'   => 1,
        'payer_id'   => $_SESSION['xfront_customer'],
        'supply_id'  => $last['voucher'],
        'payer_type' => 'self'
      ];
      $this->account_model->_post_payment($data);
    }
    $url = "https://api.paystack.co/transaction/initialize";
    $customer = $this->payment_model->_get_user();
    $payment  = $this->payment_model->_get_payment();
    $shipping = $this->payment_model->_get_shipping();

    $code = 'XCEL' . substr(time(), 2);
    $total = $payment['amount'] * 100;
    if ($total < 100) return false;
    $fields = [
      'email'     => $customer['email'] ?: ($customer['phone'] . '@xcel.com'),
      'amount'    => $total,
      'ref'       => $code,
      'currency'  => 'NGN',
      'reference' => $code,
      'callback_url' => base_url('verify_pay/')
    ];

    $fields_string = http_build_query($fields);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $fields_string);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
      "Authorization: Bearer sk_test_b66f972313f2e4f4fd9c807e3a3d01c9653228a7",
      "Cache-Control: no-cache",
    ));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $result = curl_exec($ch);
    $result = json_decode($result, true);
    if ($result && $result['status'] === true) {
      $data = [
        'pid'     => $result['data']['reference'],
        'pay_ref' => $result['data']['authorization_url']
      ];
      $this->payment_model->_put_payment($data, $payment['token']);
      $this->payment_model->_put_sale($payment['supply_id']);
      unset($_SESSION['xcel-cart']);
      exit(json_encode(['status' => 'success', 'message' => 'Transaction initialized <br />Redirecting to paystack...', 'extra' => $result['data']['authorization_url']]));
    }
    echo json_encode(['status' => 'error', 'message' => 'Failed to initialize transaction with Paystack']);
  }

  function verifier($param = '')
  {
    $rf = $this->input->get('trxref') ?? $param;
    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://api.paystack.co/transaction/verify/" . $rf,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "GET",
      CURLOPT_HTTPHEADER => array(
        "Authorization: Bearer sk_test_b66f972313f2e4f4fd9c807e3a3d01c9653228a7",
        "Cache-Control: no-cache",
      ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    if ($err) exit("Connection Error #:" . $err);
    $event = json_decode($response);
    if ($event->status !== true) exit(json_encode(['status' => 'danger', 'message' => '<i class="fa fa-exclamation-triangle"></i> <span>Connection Failed, Please try again</span>']));

    $status = $event->data->status;
    if ($status != 'success') exit(json_encode(['status' => 'danger', 'message' => '<i class="fa fa-close"></i> <span>Payment has not been Completed</span>']));
    $cart = $this->settle($event->data->reference, $event->data->paid_at);
    $this->session->set_flashdata('xfront_message', 'Payment successful');
    $this->session->set_flashdata('xfront_cart_id', json_encode($cart));
    redirect(base_url('shop.aspx'), 'refresh');
  }

  function settle($ref, $date)
  {
    $pay = $this->payment_model->_get_payment($ref);
    if ($pay == false) return false;

    $this->payment_model->_put_payment(['paid' => 1, 'date' => date('Y-m-d H:i:s', strtotime($date))], $pay['token']);
    $payments = $this->payment_model->_get_status($pay['payer_id'], $pay['supply_id']);
    if ($payments === 'SETTLED in STYLE' && $pay['paid'] == 0) {
      $this->payment_model->_pay_sale(['paid' => 1], $pay['supply_id']);
      $data = [
        'type' => 'Checkout',
        'title' => 'Hi there! Your order has been placed. You’ll be notified when it has been approved and shipped off for delivery. Your Order ID is: ' . $pay['supply_id'],
        'notifier_url' => base_url('shop/order_details.aspx?cart_id=' . $pay['supply_id']),
        'notifier_token' => $pay['payer_id']
      ];
      $this->payment_model->_post_notice($data, $pay['payer_id']);
    } else {
      return ['voucher' => $pay['supply_id'], 'pending' => $payments];
    }
    return ['voucher' => $pay['supply_id']];
  }

  function hook($param)
  {
    if ((strtoupper($_SERVER['REQUEST_METHOD']) != 'POST') or !array_key_exists('x-paystack-signature', $_SERVER))
      exit();

    $input = @file_get_contents("php://input");
    define('PAYSTACK_SECRET_KEY', 'sk_test_b66f972313f2e4f4fd9c807e3a3d01c9653228a7');

    if ($_SERVER['HTTP_X_PAYSTACK_SIGNATURE'] !== hash_hmac('sha512', $input, PAYSTACK_SECRET_KEY)) exit();
    http_response_code(200);

    $event = json_decode($input);
    $status = $event->data->status;
    if ($status != 'success') return false;

    $this->settle($event->data->reference, $event->data->paid_at);
  }
}
