<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Paypal_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();
    if ($this->session->userdata('xfront_customer') == '' && strpos(current_url(), 'verifx_pay/') === false) redirect(base_url(), 'refresh');
    if (strpos(current_url(), 'verifx_pay/') !== false && !in_array($this->input->ip_address(), ['52.31.139.75', '52.49.173.169', '52.214.14.220'])) exit();
    $this->load->model('payment_model');
  }

  public function index()
  {
    redirect('illegal_access');
  }

  function paynow()
  {
    // Ensure that you are receiving a JSON request
    $input = file_get_contents('php://input');
    $data = json_decode($input, true); // Decode the incoming JSON

    // Check if the data is being received properly
    if (isset($data['paymentData']) && isset($data['amount'])) {
      $paymentData = $data['paymentData'];
      $amount = $data['amount'];
      $this->load->model('account_model');

      $payment  = $this->payment_model->_get_payment();

      $total = $payment['amount'] * 100;
      if ($total < 100) return false;

      if ($paymentData['status'] === "COMPLETED") {
        $data = [
          'pid' => $paymentData['id'],
          'pay_ref' => $paymentData['links'][0]['href']
        ];
        if (!$this->payment_model->_put_payment($data, $payment['token'])) exit(json_encode(['status' => 'error', 'message' => 'Error putting payment']));
        if (!$this->payment_model->_put_sale($payment['supply_id'])) exit(json_encode(['status' => 'error', 'message' => 'Error putting sale']));
        unset($_SESSION['xcel-cart']);

        $cart = $this->settle($paymentData['id'], $paymentData['create_time']);

        if (!$cart) exit(json_encode(['status' => 'error', 'message' => 'An error has occurred']));

        $this->session->set_flashdata('xfront_message', 'Payment successful');
        echo json_encode(['status' => 'success', 'message' => 'Order was created successfully']);
        $this->session->set_flashdata('xfront_cart_id', json_encode($cart));
        redirect(base_url('shop.aspx'), 'refresh');
      }
      echo json_encode(['status' => 'error', 'message' => 'Failed to initialize transaction with Paystack']);
    } else {
      echo json_encode(['status' => 'error', 'message' => 'No payment data received!']);
    }
  }


  function settle($ref, $date)
  {
    $pay = $this->payment_model->_get_payment($ref);
    if ($pay == false) return false;

    $this->payment_model->_put_payment(['paid' => 1, 'date' => date('Y-m-d H:i:s', strtotime($date))], $pay['token']);

    $payments = $this->payment_model->_get_status($pay['payer_id'], $pay['supply_id']);
    if ($payments === 'SETTLED in STYLE' && $pay['paid'] == 0) {
      $this->payment_model->_pay_sale(['paid' => 1], $pay['supply_id']);
      $data = [
        'type' => 'Checkout',
        'title' => 'Hi there! Your order has been placed. You’ll be notified when it has been approved and shipped off for delivery. Your Order ID is: ' . $pay['supply_id'],
        'notifier_url' => base_url('shop/order_details.aspx?cart_id=' . $pay['supply_id']),
        'notifier_token' => $pay['payer_id']
      ];
      $this->payment_model->_post_notice($data, $pay['payer_id']);
    } else {
      return ['voucher' => $pay['supply_id'], 'pending' => $payments];
    }
    return ['voucher' => $pay['supply_id']];
  }

  function hook($param)
  {
    if ((strtoupper($_SERVER['REQUEST_METHOD']) != 'POST') or !array_key_exists('x-paystack-signature', $_SERVER))
      exit();

    $input = @file_get_contents("php://input");
    define('PAYSTACK_SECRET_KEY', 'sk_test_b66f972313f2e4f4fd9c807e3a3d01c9653228a7');

    if ($_SERVER['HTTP_X_PAYSTACK_SIGNATURE'] !== hash_hmac('sha512', $input, PAYSTACK_SECRET_KEY)) exit();
    http_response_code(200);

    $event = json_decode($input);
    $status = $event->data->status;
    if ($status != 'success') return false;

    $this->settle($event->data->reference, $event->data->paid_at);
  }
}
