<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Dashboard_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get_total()
  {
    $data = [];
    for ($i = -11; $i <= 0; $i++) {
      $k = "$i month";
      $date = date('Y-m', strtotime($k, strtotime(date("F") . "1")));
      $key  = date('M', strtotime($k, strtotime(date("F") . "1")));
      if ($this->session->userdata('chart_toggle') == 'yearly') {
        $k = "$i year";
        $date = date('Y', strtotime($k, strtotime(date("F") . "1")));
        $key  = date('Y', strtotime($k, strtotime(date("F") . "1")));
      }
      if (!isset($_SESSION['xfront_admin'])) $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
      $this->db->like('date', $date);
      $todays = $this->_get_sum('er_sales', 'total', ['status' => 0]);
      $this->db->like('date', $date);
      $todays += $this->_get_sum('er_supply', 'total', ['status' => 0]);
      $data[$key] = ($data[$date] ?? 0) + $todays;
    }
    return $data;
  }

  function _get_sales()
  {
    $data = [];
    for ($i = -11; $i <= 0; $i++) {
      $k = "$i month";
      $date = date('Y-m', strtotime($k, strtotime(date("F") . "1")));
      $key  = date('M', strtotime($k, strtotime(date("F") . "1")));
      if ($this->session->userdata('chart_toggle') == 'yearly') {
        $k = "$i year";
        $date = date('Y', strtotime($k, strtotime(date("F") . "1")));
        $key  = date('Y', strtotime($k, strtotime(date("F") . "1")));
      }
      if (!isset($_SESSION['xfront_admin'])) $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
      $this->db->like('date', $date);

      $todays = $this->_get_sum('er_sales', 'total', ['status' => 0, 'type' => 0]);
      $data[$key] = ($data[$date] ?? 0) + $todays;
    }
    return $data;
  }

  function _get_staff_sales()
  {
    // $this->db->select('*, SUM(total) as total');
    // if ($this->session->userdata('xfront_admin') !== true) 
    //   $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
    // $this->db->order_by('date DESC')->group_by('voucher')->limit('3');
    // $data = $this->db->get_where('er_sales', ['status'=>0, 'type'=>1]);
    // if ( ! ($data->num_rows() > 0)) return false;
    // return $data->result_array();
    $this->db->select("*, SUM(total) as total");
    $this->db->group_by('done_by')->order_by('total ASC')->limit(3);
    // if (isset($_SESSION['xfront_users_date'])) $this->db->where('date', $_SESSION['xfront_users_date']);
    $sales = $this->db->get_where('er_sales', ['type' => 0]);
    if (!($sales->num_rows() > 0)) return false;
    foreach ($sales->result_array() as $row) {
      $data[] = ['outlet' => $row['warehouse'], 'staff' => $this->_get_staff($row['done_by']), 'total' => $row['total']];
    }
    return $data;
  }

  function _get_staff($token)
  {
    $staff = $this->db->get_where('er_admin', ['token' => $token]);
    return $staff->row('name') ?? '';
  }

  function _get_supply()
  {
    $data = [];
    for ($i = -11; $i <= 0; $i++) {
      $k = "$i month";
      $date = date('Y-m', strtotime($k, strtotime(date("F") . "1")));
      $key  = date('M', strtotime($k, strtotime(date("F") . "1")));
      if ($this->session->userdata('chart_toggle') == 'yearly') {
        $k = "$i year";
        $date = date('Y', strtotime($k, strtotime(date("F") . "1")));
        $key  = date('Y', strtotime($k, strtotime(date("F") . "1")));
      }
      $this->db->like('date', $date);
      if (!isset($_SESSION['xfront_admin'])) {
        $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
        $todays = $this->_get_sum('er_sales', 'total', ['type' => 1, 'status' => 0]);
      } else {
        $todays = $this->_get_sum('er_supply', 'total', ['status' => 0]);
        $this->db->like('date', $date);
        $todays += $this->_get_sum('er_sales', 'total', ['type' => 1, 'status' => 0]);
      }
      $data[$key] = ($data[$date] ?? 0) + $todays;
    }
    return $data;
  }

  function _get_expenses()
  {
    $data = [];
    for ($i = -11; $i <= 0; $i++) {
      $k = "$i month";
      $date = date('Y-m', strtotime($k, strtotime(date("F") . "1")));
      $key  = date('M', strtotime($k, strtotime(date("F") . "1")));
      if ($this->session->userdata('chart_toggle') == 'yearly') {
        $k = "$i year";
        $date = date('Y', strtotime($k, strtotime(date("F") . "1")));
        $key  = date('Y', strtotime($k, strtotime(date("F") . "1")));
      }
      if (!isset($_SESSION['xfront_admin'])) $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
      $this->db->like('date', $date);
      $todays = $this->_get_sum('er_expenses', 'amount', ['status' => 0]);
      $data[$key] = ($data[$date] ?? 0) + $todays;
    }
    return $data;
  }

  function _get_orders($type)
  {
    $count = 0;
    $this->db->where(['status !=' => '1'])->order_by('created_at DESC');
    if ($this->session->userdata('xfront_admin') !== true)
      $this->db->where('warehouse', $_SESSION['xfront_warehouse']);
    if ($type !== 'all') {
      $this->db->where('approve', $type);
      $count = $this->db->count_all_results('er_requests');
    } else {
      $sql = $this->db->limit(10)->get('er_requests');
      if ($sql->num_rows() > 0) {
        $count = [];
        foreach ($sql->result_array() as $row) {
          $count[] = $row;
          $items = json_decode($row['message'], true)['message'];
          $price = 0;
          foreach ($items as $key => $val)
            $price += $this->_get_price($key, 'a577f519b58b533e400cf28a7464576babf92121') * $val;

          $k = count($count) - 1;
          $count[$k]['total'] = $price;
          $count[$k]['items'] = count($items);
        }
      }
    }
    return $count;
  }

  function _get_hss()
  {
    $this->db->select("*, SUM(total) as total");
    $this->db->group_by('done_by')->order_by('total ASC')->limit(5);
    // if (isset($_SESSION['xfront_users_date'])) $this->db->where('date', $_SESSION['xfront_users_date']);
    $sales = $this->db->get_where('er_sales', ['type' => 0]);
    if (!($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _get_price($item, $state)
  {
    $items = $this->db->get_where('er_online_warehouse', ['token' => $item]);
    if (!($items->num_rows() > 0)) return 0;
    $price = json_decode($items->row('price'), true);
    return $price[$state][0];
  }

  function _get_clients()
  {
    $data = $this->db->get('er_customers');
    if (!$data->num_rows() > 0) return false;
    return $data->result_array();
  }

  function _get_outlets()
  {
    $data = $this->db->get('er_warehouse');
    if (!$data->num_rows() > 0) return false;
    return $data->result_array();
  }

  function _get_sum($table, $col, $filter = '')
  {
    $this->db->select_sum($col);
    return $this->db->get_where($table, $filter)->row($col);
  }
}
