<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Login_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function login($user, $password)
  {
    $user = $this->db->get_where('er_customers', ['email' => $user]);
    $pass = 'GG' . $password;
    if (!($user->num_rows() > 0) or !password_verify($pass, $user->row('password'))) return false;
    return $user->row();
  }

  function _get_vars()
  {
    $settings = $this->db->get_where('er_settings', ['status' => 0]);
    if (!$settings) return [];

    $data = [];
    foreach ($settings->result_array() as $row)
      $data[$row['name']] = $row['value'];

    return $data;
  }

  function _get_cart($user)
  {
    $data = [];
    $this->db->where("`date` IS NULL");
    $sales = $this->db->get_where('er_sales', ['status' => 0, 'customer' => $user]);
    if ($sales->num_rows() > 0) {
      foreach ($sales->result_array() as $row) array_push($data, $row['item']);
    }
    return $data;
  }

  function check($params)
  {
    $params['status'] = 0;
    $user = $this->db->get_where('er_customers', $params);
    if (!($user->num_rows() > 0)) return false;
    return $user->row('token');
  }

  function get_email($token)
  {
    $user = $this->db->get_where('er_customers', ['email' => $token, 'status' => 0]);
    if (!($user->num_rows() > 0)) return false;
    return $user->row();
  }

  function _put($params)
  {
    // new============
    if (isset($params['password'])) {
          $params['password'] = password_hash($params['password'], PASSWORD_DEFAULT);
      }

    $this->db->where(['token'=>$_SESSION['user']]);
    $user = $this->db->update('er_customers', $params);
    if ( ! $user) return false;
    return true;
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $data['token'] = $hash;
    $pass = 'GG' . $data['password'];
    $data['password'] = password_hash($pass, PASSWORD_DEFAULT);
    if (!$this->db->insert('er_customers', $data)) return false;
    return $data['token'];
  }

  function settings()
  {
    $data = $this->db->get('er_settings');
    if ($data->num_rows() < 1) return false;
    $result = [];
    foreach ($data->result_array() as $row) {
      $result[$row['name']] = $row['value'];
    }

    return $result;
  }
}


