<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
<link rel="stylesheet" href="<?= base_url('assets/css/login.css') ?>">
<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
<script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
<title>Welcome</title>
</head>
<body data-theme="light">
  <div class="row g-0 h-100">
    <div class="col-lg-7">
      <?php require_once('placeholder.php'); ?>
    </div>
    <div class="col-lg-5 h-100">
      <div id="popup">
        <div class="container bg-white text-center py-5">
          <div class="text-center p-3 mb-5 d-none d-lg-block" style="margin-top: -100px"><img src="<?= base_url('assets/images/logo.jpg'); ?>" width="180px"></div>
          <h5 class="d-block d-lg-none"><b>Welcome to <?= $data['name'] ?? 'Excel' ?></b></h5>
          <h1 class="d-none d-lg-block" style="font-weight: 700; font-size: 64px;"><b>Welcome to <?= $data['name'] ?? 'Excel' ?></b></h1>
          <div class="py-2"><?= $data['title'] ?? 'Discover a world of curated products and exclusive deals all at your fingertips.' ?></div>
          <div class="form-group mb-3 pt-3 mx-auto" style="max-width: 420px">
            <a href="<?= base_url('signin.aspx') ?>" class="btn btn-supreme">Sign in to your account</a>
            <a href="<?= base_url('shop.aspx?auth=false') ?>" class="btn w-100">Continue as guest</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
<script type="text/javascript">
  let c = 1;
  let slider = function(){
    c %= 3;
    $('.slide').removeClass('active');
    $('.slideToggle').removeClass('active');
    $('.slide').eq(c).addClass('active');
    $('.slideToggle').eq(c).addClass('active');
    c++;
  }

  let slide = setInterval(function(){slider()}, 6000);

  $('.slideToggle').click(function() {
    if ( ! $(this).hasClass('active')) {
      $('.slide').removeClass('active');
      $('.slideToggle').removeClass('active');
      $(this).addClass('active');
      $('.slide').eq($(this).index()).addClass('active');
      clearInterval(slide);
      c = $(this).index();
      slide = setInterval(function(){slider()}, 6000);
    }
  });

</script>
</body>
</html>