<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title></title>
  <style type="text/css">
  @import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@400&display=swap');
    html,
    body {
      margin: 0 auto !important;
      padding: 0 !important;
      height: 100% !important;
      width: 100% !important;
      background: #fff;
      line-height: 1.4;
      font-size: 1rem;
    }

    * {
      -ms-text-size-adjust: 100%;
      -webkit-text-size-adjust: 100%;
      font-family: 'Plus Jakarta Sans', sans-serif;
    }

    div[style*="margin: 16px 0"] {
      margin: 0 !important;
    }

    ul {
      list-style: none!important;
      margin: 0!important;
      padding: 0!important;
    }

    a {
      display: inline-block!important;
      text-decoration: none!important;
    }

    table,
    td {
      mso-table-lspace: 0pt !important;
      mso-table-rspace: 0pt !important;
    }

    table {
      border-spacing: 0 !important;
      border-collapse: collapse !important;
      margin: 0 auto !important;
    }

    img {
      -ms-interpolation-mode:bicubic;
    }
    table {
      margin: auto;
      border-collapse: collapse;
      width: 100%;
      max-width: 640px;
    }
    #logo {
      text-align: center;
      margin: 16px auto;
    }
    #logo img {
      margin: 16px auto;
      width: 240px;
    }
    .container, .content {
      padding: 24px;
      background-color: #fce0cf;
      border-radius: 16px;
      max-width: 580px;
    }
    .content {
      background-color: transparent;
      padding: 8px 24px;
      border-radius: 0;
    }
    .center {
      text-align: center;
      margin: auto;
    }
    #content {
      box-shadow: 0 0 5px #f2f2f2;
    }
    #content * {
      background-color: #fff;
    }
  </style>
</head>
<body>
  <table border="0" cellpadding="0" cellspacing="0">
    <tr colspan="3">
      <td colspan="3">
        <div id="logo"><img src="<?= base_url('assets/images/logo.png'); ?>"></div>
      </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>
        <div class="container">
          <table border="0" cellpadding="0" cellspacing="0" id="content">
            <tr>
              <td>
                <div class="content">
                  <h2 style="text-align: center; letter-spacing: 1.1px;">Password Reset</h2>
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <div class="content">
                  <h3>Hi <?= explode(' ', $user->name)[0] ?></h3>  
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <div class="content center">
                  <p>You are receiving this mail because a request was made recently to reset your login password at <a href="https://scap.ng/">Xcel</a></p>
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <div class="content">
                  <span>Your one-time code is: <b><?= $code; ?></b></span>
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <div class="content" style="color: #423233;">
                  You are to enter this in the space provided in the password reset page
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <div class="content">
                  <span>Feel free to ignore this message if this operation was not requested by you as your account is still secure.</span><br><br>
                  <span>This email was intended for: <i><b><?= $user->email ?></b></i></span>. &nbsp; <span>Please ignore if this isn't you.</span><br><br>
                </div>
              </td>
            </tr>
          </table>
        </div>
      </td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td colspan="3">
        <div style="margin-top: 24px;"><h3>Contact Us</h3></div>
      </td>
    </tr>
    <tr>
      <td colspan="3">
        <div>Address: <?= $settings['address'] ?? 'Address' ?></div>
      </td>
    </tr>
    <tr>
      <td colspan="3">
        <div>Call us: <?= $settings['phone'] ?? '09098765432' ?></div>
      </td>
    </tr>
    <tr>
      <td colspan="3">
        <div class="content" style="text-align: center; color: #aaa;">
          <p>No longer want to receive these emails? You can <a href="<?= base_url(); ?>" style="color: rgba(0,0,0,.8);">Unsubscribe here</a></p>
        </div>
      </td>
    </tr>
  </table>
</body>
</html>
