<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
  <link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
  <link rel="stylesheet" href="<?= base_url('assets/ixfonts/style.css') ?>">
  <link rel="stylesheet" href="<?= base_url('assets/css/login.css') ?>">
  <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
  <script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>" defer></script>
  <script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
  <?php if ($this->session->flashdata('xfront_message') != '') : ?>
    <script type="text/javascript" defer>
      $(document).ready(function() {
        $.Toast('Hello There!', '<?= $this->session->flashdata('xfront_message') ?>', 'warning', {
          has_icon: true,
          timeout: 7000,
          position_class: 'toast-top-right',
          rtl: false
        });
      })
    </script>
  <?php endif ?>
  <title>Xcel - Login</title>
</head>

<body data-theme="light" tabindex="-1">
  <div class="container-fluid h-100 p-lg-0">
    <div class="row g-0 h-100">
      <div class="col-lg-7 d-none d-lg-block">
        <?php require_once('placeholder.php'); ?>
      </div>
      <div class="col-lg-5 h-100">
        <h5 onclick="history.back()" class="py-2 px-lg-2 m-0"><i class="ix ix-chevron-left" style="font-size: .8em;"></i> <span id="title" class="ps-2">Back</span></h5>
        <div class="p-0 p-lg-5">
          <h4 class="pt-4 d-block d-lg-none"><b>Sign In</b></h4>
          <div class="pb-4 d-flex justify-content-between align-items-center">
            <div>
              <h2 class="d-none d-lg-block"><b>Sign In</b></h2>
              <div class="pt-2">Welcome back! Let’s pick up where you left off. Happy Shopping!</div>
            </div>
            <div class="d-none d-lg-block"><img src="<?= base_url('assets/images/logo.jpg'); ?>" width="70px"></div>
          </div>
          <?= form_open('login', ['class' => 'myForm', 'id' => 'myForm', 'autocomplete' => 'off']); ?>
          <div class="form-group mb-4">
            Email Address
            <input type="email" class="form-control" name="miuser" placeholder="example@email.com" required />
          </div>
          <div class="form-group mb-2">
            Password
            <div class="position-relative">
              <input type="password" class="form-control pass" name="mipass" placeholder="8 characters minimum" required />
              <span class="d-block toggle" style="position: absolute; top: 0; right: 0; bottom: 0; padding: .9rem;"><i class="bi-eye"></i></span>
            </div>
          </div>
          <div class="text-end pb-4">
            <a href="<?= base_url('?k=forgot_password') ?>" class="btn d-inline text-supreme">Forgot Password ?</a>
          </div>
          <div class="form-group mb-3 py-3">
            <i class=""></i>
            <button class="btn btn-supreme" id="submit" data-ref="<?= base_url('authenticate.aspx') ?>"><span class="text">Sign in to your account</span>&nbsp;</button>
          </div>
          <?= form_close(); ?>
          <div class="text-center px-2">
            <div class="line-through mb-4"><span>OR</span></div>
            <a href="<?= base_url('google-login.aspx'); ?>" class="btn border d-flex align-items-center justify-content-center">
              <img src="<?= base_url('assets/images/google-icon.png'); ?>" width="20px"> &nbsp; Sign in with Google
            </a>
            <div class="my-3">Don't have an account? <a href="<?= base_url('register.aspx'); ?>" class="text-supreme"><b>Sign up</b></a></div>
          </div>
        </div>

      </div>
    </div>
    <span class="d-none" id="base"><?= base_url() ?></span>
  </div>
</body>

</html>