<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container px-0">
  <div class="mb-3">
    <div class="d-flex justify-content-between align-items-center mb-2">
      <h5 class="m-0">New Arrivals</h5> <a href="<?= base_url('more?k=latest') ?>" class="text-danger">See More</a>
    </div>
    <div class="sliding">
      <?php foreach ($latest as $row) :
        $price = json_decode($row['price'], true);
        $price = $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
        $discount = ceil($row['discount'] * 100 / ($price + $row['discount']));
      ?>
        <div class="p-2 x-card" id="productCard">
          <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
            <div class="img"><img src="<?= $row['image'] ?>" /></div>
            <div class="name-tag">
              <p class="pt-2 pb-1" id="productName"><?= $row['name'] ?></p>
              <p class="pb-2 text-nowrap">
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($price); ?></span>
                <?php else: ?>
                  <b class=" money"><?= number_format($price) ?></b>
                <?php endif; ?>
                <?php if ($row['discount'] > 0) : ?>
                  <?php if ($currency == "GBP"): ?>
                    <span class="line-through text-small">£<?= number_format($price + $row['discount']) ?></span>
                  <?php else: ?>
                    <span class="line-through text-small">N<?= number_format($price + $row['discount']) ?></span>
                  <?php endif; ?>
                <?php endif ?>
              </p>
            </div>
          </a>
          <?php if ($row['discount'] > 0) : ?>
            <span class="discount"><?= $discount; ?>%</span>
          <?php endif ?>
        </div>
      <?php endforeach ?>
    </div>

  </div>
  <div class="mt-4">
    <div class="d-flex justify-content-between align-items-center mb-2">
      <h5 class="m-0">For You</h5> <a href="<?= base_url('more?k=random') ?>" class="text-danger">See More</a>
    </div>
    <div class="sliding">
      <?php foreach ($random as $row) :
        $price = json_decode($row['price'], true);
        $price = $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
        $discount = ceil($row['discount'] * 100 / ($price + $row['discount']));
      ?>
        <div class="p-2 x-card" id="productCard">
          <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
            <div class="img"><img src="<?= $row['image'] ?>" /></div>
            <div class="name-tag">
              <p class="pt-2 pb-1" id="productName"><?= $row['name'] ?></p>
              <p class="pb-2 text-nowrap">
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($price); ?></span>
                <?php else: ?>
                  <b class=" money"><?= number_format($price) ?></b>
                <?php endif; ?>
                <?php if ($row['discount'] > 0) : ?>
                  <?php if ($currency == "GBP"): ?>
                    <span class="line-through text-small">£<?= number_format($price + $row['discount']) ?></span>
                  <?php else: ?>
                    <span class="line-through text-small">N<?= number_format($price + $row['discount']) ?></span>
                  <?php endif; ?>
                <?php endif ?>
              </p>
            </div>
          </a>
          <?php if ($row['discount'] > 0) : ?>
            <span class="discount"><?= $discount; ?>%</span>
          <?php endif ?>
        </div>
      <?php endforeach ?>
    </div>
  </div>
  <div class="mt-4">
    <div class="d-flex justify-content-between align-items-center mb-2">
      <h5 class="m-0">Top Discounts</h5> <a href="<?= base_url('more?k=offers') ?>" class="text-danger">See More</a>
    </div>
    <div class="sliding">
      <?php foreach ($offers as $row) :
        $price = json_decode($row['price'], true);
        $price = $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
        $discount = ceil($row['discount'] * 100 / ($price + $row['discount']));
      ?>
        <div class="p-2 x-card" id="productCard">
          <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
            <div class="img"><img src="<?= $row['image'] ?>" /></div>
            <div class="name-tag">
              <p class="pt-2 pb-1" id="productName"><?= $row['name'] ?></p>
              <p class="pb-2 text-nowrap">
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($price); ?></span>
                <?php else: ?>
                  <b class=" money"><?= number_format($price) ?></b>
                <?php endif; ?>
                <?php if ($row['discount'] > 0) : ?>
                  <?php if ($currency == "GBP"): ?>
                    <span class="line-through text-small">£<?= number_format($price + $row['discount']) ?></span>
                  <?php else: ?>
                    <span class="line-through text-small">N<?= number_format($price + $row['discount']) ?></span>
                  <?php endif; ?>
                <?php endif ?>
              </p>
            </div>
          </a>
          <span class="discount"><?= $discount; ?>%</span>
        </div>
      <?php endforeach ?>
    </div>
  </div>
  <div class="mt-4">
    <div class="d-flex justify-content-between align-items-center mb-2">
      <h5 class="m-0">Popular</h5> <a href="<?= base_url('more?k=popular') ?>" class="text-danger">See More</a>
    </div>
    <div class="sliding">
      <?php foreach ($popular as $row) :
        $price = json_decode($row['price'], true);
        $price = $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
        $discount = ceil($row['discount'] * 100 / ($price + $row['discount']));
      ?>
        <div class="p-2 x-card" id="productCard">
          <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
            <div class="img"><img src="<?= $row['image'] ?>" /></div>
            <div class="name-tag">
              <p class="pt-2 pb-1" id="productName"><?= $row['name'] ?></p>
              <p class="pb-2 text-nowrap">
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($price); ?></span>
                <?php else: ?>
                  <b class=" money"><?= number_format($price) ?></b>
                <?php endif; ?>
                <?php if ($row['discount'] > 0) : ?>
                  <?php if ($currency == "GBP"): ?>
                    <span class="line-through text-small">£<?= number_format($price + $row['discount']) ?></span>
                  <?php else: ?>
                    <span class="line-through text-small">N<?= number_format($price + $row['discount']) ?></span>
                  <?php endif; ?>
                <?php endif ?>
              </p>
            </div>
          </a>
          <?php if ($row['discount'] > 0) : ?>
            <span class="discount"><?= $discount; ?>%</span>
          <?php endif ?>
        </div>
      <?php endforeach ?>
    </div>
  </div>
</div>
<script>
  var card = document.getElementById("productCard");
  var productName = document.getElementById("productName");
  var cardWidth = card.offsetWidth;

  // Get the width of the product name
  var productNameWidth = productName.offsetWidth;

  // Compare the widths and add ellipsis if necessary
  if (productNameWidth > cardWidth) {
    productName.style.textOverflow = "ellipsis";
    productName.style.whiteSpace = "nowrap";
    productName.style.overflow = "hidden";
  }
</script>