<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="row px-1">
  <?php $search = $this->input->get('q') ?: ''; ?>
  <?php $data = (isset($market) && is_array($market)) ? $market : $data; ?>
  <?php foreach ($data as $row) :
    $discount = ceil($row['discount'] * 100 / ($row['price'] + $row['discount']));
    $term = $search ? substr($row['name'], stripos($row['name'], $search), strlen($search)) : '';
  ?>
    <div class="col-4 col-lg-3 px-1">
      <div class="p-2 x-card" id="productCard">
        <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
          <div class="img"><img src="<?= $row['image'] ?>" /></div>
          <div class="name-tag">
            <p class="pt-2 pb-1" id="productName"><?= str_ireplace($search, '<span class="bg-warning">' . $term . '</span>', $row['name']); ?></p>
            <!-- <p class="pt-2 pb-1"><?= $row['name'] ?></p> -->
            <p class="pb-2 text-nowrap">
              <?php if ($currency == "GBP"): ?>
                <span class="fw-bold">£ <?= number_format($row['price']); ?></span>
              <?php else: ?>
                <b class=" money"><?= number_format($row['price']) ?></b>
              <?php endif; ?>

              <?php if ($row['discount'] > 0) : ?>
                <?php if ($currency == "GBP"): ?>
                  <span class="line-through text-small">£<?= number_format($row['price'] + $row['discount']) ?></span>
                <?php else: ?>
                  <span class="line-through text-small">N<?= number_format($row['price'] + $row['discount']) ?></span>
                <?php endif; ?>

              <?php endif ?>
            </p>
          </div>
        </a>
        <?php if ($row['discount'] > 0) : ?>
          <span class="discount"><?= $discount; ?>%</span>
        <?php endif ?>
        <a href="<?= base_url('cart?k=add&item_id=' . $row['token']) ?>" class="btn w-100 btn-supreme carter<?= isset($_SESSION['xcel-cart']) && in_array($row['token'], $_SESSION['xcel-cart']) ? ' disabled' : '' ?>">Add to Cart</a>
      </div>
    </div>
  <?php endforeach ?>
  <?php if (!$data) : ?>
    <div class="p-5 text-center">No matching products found</div>
  <?php endif ?>
</div>
<script>
  var card = document.getElementById("productCard");
  var productName = document.getElementById("productName");
  var cardWidth = card.offsetWidth;

  // Get the width of the product name
  var productNameWidth = productName.offsetWidth;

  // Compare the widths and add ellipsis if necessary
  if (productNameWidth > cardWidth) {
    productName.style.textOverflow = "ellipsis";
    productName.style.whiteSpace = "nowrap";
    productName.style.overflow = "hidden";
  }
</script>