<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (! isset($_SESSION['xfront_customer'])): ?>
  <?php require_once('not_logged.php') ?>
<?php elseif (count($cart) > 0): $total = 0; ?>
  <div class="row">
    <div class="col-lg-7 bold-span">
      <div class="mb-3 pb-3">
        <div class="d-flex justify-content-between ix-2x">
          <b>Order</b><a href="<?= base_url('shop/order_tracking.aspx?cart_id=' . $cart['voucher']) ?>" class="text-danger text-small d-block d-lg-none">View status history</a>
        </div>
        <p class="pt-2"><span class="text-secondary">Status:</span> <span><?= ($delivery && $delivery['delivery'] == 1) ? 'Delivered' : 'Pending' ?></span></p>
        <p class="pt-2"><span class="text-secondary">Order ID:</span> <span><?= $cart['voucher'] ?></span></p>
        <p class="pt-2"><span class="text-secondary">Date purchased:</span> <span><?= date('d/m/Y', strtotime($cart['date'])) ?></span></p>
      </div>
      <div class="mb-3 pb-3">
        <div class="ix-2x mb-2 mt-3"><b>Product</b></div>
        <div class="item-card item-card-2 mb-0">
          <div class="row h-100">
            <div class="col-4 h-100">
              <div class="cart-img"><img src="<?= $item['image']; ?>" class="img-fluid rounded" /></div>
            </div>
            <div class="col-8">
              <p><?= $item['name']; ?></p>
              <p>
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($item['price']); ?></span>
                <?php else: ?>
                  <b class="money"><?= number_format($item['price']) ?></b>
                <?php endif; ?>
              </p>
              <p class="pt-3 text-secondary"><?= number_format($item['quantity']) ?> item<?= $item['quantity'] > 1 ? 's' : ''; ?></p>
            </div>
          </div>
        </div>
      </div>
      <div class="mb-3 pb-3">
        <?php $balance = $cart['total'] + $shipping['shipping_fee'] - $payment['amount']; ?>
        <div class="ix-2x d-flex justify-content-between"><b>Payment Details</b>
          <?php if ($payment['pay_type'] == 1 && $balance > 0) { ?><a href="javascript:void(0)" class="text-small text-danger" onclick="$('#success').fadeIn(200)">Make Payment</a> <?php } ?>
        </div>
        <p class="pt-2"><span class="text-secondary">Method:</span> <span><?= $payment['pay_type'] == 1 ? 'Installment' : 'Pay now'; ?></span></p>
        <p class="pt-2"><span class="text-secondary">Subtotal:</span>
          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($total); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($total); ?></span>
          <?php endif; ?>
        </p>
        <p class="pt-2"><span class="text-secondary">Delivery fee:</span>
          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($shipping['shipping_fee']); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($shipping['shipping_fee']); ?></span>
          <?php endif; ?>
        </p>
        <!-- <p class="pt-2"><span class="text-secondary">Discount:</span> <span class="money"><?= number_format($payment['code_discount']); ?></span></p> -->
        <p class="pt-2"><span class="text-secondary">Total:</span>

          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($total + $shipping['shipping_fee']); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($total + $shipping['shipping_fee']); ?></span>
          <?php endif; ?>
        </p>
        <?php if ($payment['pay_type'] == 1 && $balance > 0): ?>
          <p class="pt-2"><span class="text-secondary">Amount Paid:</span>

            <?php if ($currency == "GBP"): ?>
              <span class="fw-bold">£ <?= number_format($payment['amount']); ?></span>
            <?php else: ?>
              <span class="money"><?= number_format($payment['amount']); ?></span>
            <?php endif; ?>
          </p>
          <p class="pt-2 text-danger"><span>Balance:</span>
            <?php if ($currency == "GBP"): ?>
              <span class="fw-bold">£ <?= number_format($balance); ?></span>
            <?php else: ?>
              <span class="money"><?= number_format($balance); ?></span>
            <?php endif; ?>
          </p>
        <?php elseif ($balance <= 0): ?>
          <p class="pt-2"><span class="text-secondary">Status:</span> <span class="text-success">Payment Completed</span></p>
        <?php endif ?>
      </div>
      <div class="mb-3">
        <div class="ix-2x"><b>Delivery Details</b></div>
        <?php $ship = json_decode($shipping['shipping'], true); ?>
        <p class="pt-2"><span class="text-secondary">Address:</span> <span><?= $ship['address'] ?? ''; ?></span></p>
      </div>
      <div class="fixed-bottom small-fix bg-white">
        <div class="container py-3 px-lg-0">
          <a href="<?= base_url('cart?k=add&item_id=' . $item['item']) ?>" class="btn btn-supreme w-100 carter<?= isset($_SESSION['xcel-cart']) && in_array($item['item'], $_SESSION['xcel-cart']) ? ' disabled' : '' ?>">Buy Again</a>
          <a href="javascript:void(0)" data-ref="<?= base_url('account/update?k=password'); ?>" class="btn btn-outline-supreme w-100 mt-2">Return Product</a>
        </div>
      </div>
    </div>
    <div class="col-lg-5 d-none d-lg-block">
      <?php include('order_tracking.php') ?>
    </div>
  </div>
  <div id="success" class="d-none">
    <div class="p-4">
      <h5 class="flex-space fixed-top small-fix p-3 p-lg-0">Make Payment</h5>
      <div class="pt-5 pt-lg-4"><?php include('pay.php'); ?></div>
    </div>
  </div>
<?php else: ?>
  <div class="text-secondary text-center p-5">
    <h2>Ouch!</h2>
    we could not find what you were looking for...
  </div>
<?php endif; ?>
<div id="page-title">Order Details</div>
<style type="text/css">
  .bold-span span+span {
    font-weight: 500;
  }
</style>
<script type="text/javascript">
  $('#success').hide().removeClass('d-none');
</script>