<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
  <link rel="stylesheet" href="<?= base_url('assets/css/receipt.css'); ?>" />
  <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
  <title><?= ucwords($title) ?> | Xcel</title>
</head>
<body>
<?php $id = (!array_key_exists(0, $data)) ? 1001 + $waybill->id : $data[0]['voucher']; ?>
<div id="buttons" class="d-flex d-print-none">
  <button class="btn btn-warning rounded-0" onclick="copyX()">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-share-fill" viewBox="0 0 16 16">
      <path d="M11 2.5a2.5 2.5 0 1 1 .603 1.628l-6.718 3.12a2.499 2.499 0 0 1 0 1.504l6.718 3.12a2.5 2.5 0 1 1-.488.876l-6.718-3.12a2.5 2.5 0 1 1 0-3.256l6.718-3.12A2.5 2.5 0 0 1 11 2.5z"/>
    </svg> Share
  </button>
  <button class="btn btn-primary rounded-0 mx-1" onclick="window.print()">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-printer" viewBox="0 0 16 16">
      <path d="M2.5 8a.5.5 0 1 0 0-1 .5.5 0 0 0 0 1z"/>
      <path d="M5 1a2 2 0 0 0-2 2v2H2a2 2 0 0 0-2 2v3a2 2 0 0 0 2 2h1v1a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2v-1h1a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2h-1V3a2 2 0 0 0-2-2H5zM4 3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2H4V3zm1 5a2 2 0 0 0-2 2v1H2a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1h-1v-1a2 2 0 0 0-2-2H5zm7 2v3a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1v-3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1z"/>
    </svg> Print
  </button>
  <?= form_open_multipart(base_url('generate/download?file='), ['method'=>"post", 'class'=>"form-inline"]); ?>
    <input type="hidden" name="file" id="img" />
    <input type="hidden" name="title" value="<?= ucfirst($page) ?> (<?= $id ?>)" id="filename" />
  <?= form_close(); ?>
    <a class="btn btn-success rounded-0" id="download2">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-arrow-down-fill" viewBox="0 0 16 16">
        <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z"/>
      </svg> Download
    </a>
</div>
<div id="paper">
  <div id="water">
    <div class="container position-relative" style="height: 100px; overflow: hidden;">
      <object data="<?= base_url('/assets/images/Excel.svg') ?>" height="100%"></object>
    </div>
  </div>
  <div class="<?= ($page != 'receipt') ? 'd-flex justify-content-between' : 'container'; ?>">
  <?php 
    if ($page != 'receipt'): 
      $dated = (!array_key_exists(0, $data)) ? strtotime($waybill->date) : $data[0]['date'];
  ?>
    <div>
      <h4><b><?= strtoupper($page); ?></b></h4>
      <h6>Voucher No: <b><?= $id; ?></b></h6>
      <h6>Date: <b><?= date('d F, Y', $dated); ?></b></h6>
  <?php if (strlen($id) < 8): ?>
    <?php if ($page == 'invoice' && $data[0]['paid'] == 1): ?>
      <h5 class="text-success"><b>PAID</b></h5>
    <?php elseif ($page == 'invoice'): ?>
      <h5 class="text-danger"><b>NOT PAID</b></h5>
    <?php endif ?>
  <?php endif ?>
    </div>
  <?php endif ?>
    <div class="text-center" style="font-size: .9em" id="top">
      <div class="container pb-3 position-relative" style="height: 70px; overflow: hidden;">
        <object data="<?= base_url('/assets/images/Excel.svg') ?>" height="100%"></object>
      </div>
      <div><b><?= nl2br($settings['title']) ?></b></div>
      <div><?= $settings['address'] ?></div>
    </div>
  </div>
  <?php if ($page == 'receipt'): ?>
  <h5 class="py-3 text-center my-3"><b>PURCHASE RECEIPT</b></h5>
  <?php endif ?>
  <div class="table-responsive">
    <?php include 'receipts/'.$page.'.php'; ?>
  </div>
</div>
<script type="text/javascript" src="<?= base_url('assets/js/html2canvas.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/js/receipt.js'); ?>"></script>
</body>
</html>
