<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
  <link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
  <link rel="stylesheet" href="<?= base_url('assets/css/1e74ec3a1f5559f8e9e1a5a99e616291.css') ?>">
  <link rel="stylesheet" href="<?= base_url('assets/ixfonts/style.css') ?>">
  <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
  <script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>"></script>
  <script type="text/javascript">
    function toast(type, title, message) {
      title = title[0].toUpperCase() + title.substring(1);
      $.Toast(title, message, type, {
        has_icon: true,
        has_close_btn: true,
        stack: true,
        timeout: 7000,
        sticky: false,
        position_class: 'toast-top-right',
        has_progress: true,
        rtl: false
      });
    }
  </script>
  <script type="text/javascript" src="<?= base_url('assets/js/shopping.js') ?>" defer></script>
  <?php if ($this->session->flashdata('xfront_message') != '') : ?>
    <script type="text/javascript" defer>
      $(document).ready(function() {
        toast('success', 'Success', '<?= $this->session->flashdata('xfront_message') ?>');
      })
    </script>
  <?php endif ?>
  <title><?= ucwords(str_replace('_', ' ', $page)) ?> - Xcel</title>
</head>

<body data-theme="<?= get_cookie('xcel_theme') ?? 'light' ?>" tabindex="-1">
  <?php if ($this->session->flashdata('xfront_message') === 'payment success') : ?>
    <?php $cartid = json_decode($this->session->flashdata('xfront_cart_id'), true); ?>
    <div id="success">
      <div class="p-5 text-center">
        <img src="<?= base_url('assets/images/success.png') ?>" width="96px" />
        <h3 class="pt-3"><b><?= (!is_array($this->session->flashdata('xfront_cart_id'))) ? 'Order' : 'Payment' ?> Successful!</b></h3>
        <p class="px-3">Thank you for shopping with Excel. Your order ID is <span class="text-danger"><?= $cartid['voucher']; ?></span></p>
        <?php if (is_array($cartid) && array_key_exists('pending', $cartid)) : ?>
          <p>You are required to make the outstanding payment of <b class="money text-danger"><?= number_format(abs($cartid['pending'])) ?></b> before you can continue shopping with us</p>
        <?php endif ?>
        <div class="fixed-bottom small-fix p-4 p-lg-0 pt-lg-4">
          <a href="<?= base_url('shop/order_details.aspx?cart_id=' . $cartid['voucher']); ?>" class="btn btn-supreme w-100">Track Your Order</a>
          <a href="javascript:void(0)" onclick="$('#success').remove();" class="btn text-supreme w-100 mt-2">Continue Shopping</a>
        </div>
      </div>
    </div>
  <?php endif; ?>
  <?php require_once('topbar.php'); ?>
  <div class="d-block d-lg-none px-3 mt-2 <?= (!in_array($page, ['home', 'categories'])) ? 'd-none' : '' ?>" id="<?= (!in_array($page, ['home', 'categories'])) ? 'search-sm' : ''; ?>">
    <?php include('search.php'); ?>
  </div>
  <div class="container pt-lg-0" id="page">
    <?php if (!in_array($page, ['details', 'checkout', 'support', 'order_details']) or ($page == 'cart' && count($_SESSION['xcel-cart'] ?? []) <= 0)) {
      echo '<div class="d-block d-lg-none">';
      require('navigation.php');
      echo '</div>';
    }
    ?>
    <?php require_once('pages/' . $page . '.php') ?>
  </div>
  <?php if (in_array($page, ['cart', 'details', 'market', 'categories'])) : ?>
    <script type="text/javascript" src="<?= base_url('assets/js/cart.js') ?>" defer></script>
  <?php endif ?>
</body>

</html>