$(document).ready(function() {

  const sub_total = () => {
    let total = 0;
    $('.countr').each(function() {
      total += Number($(this).val()) * Number($(this).siblings('.price').val());
    });
    $('.total').text(total.toLocaleString());
    return total;
  }
  
  $('#page').on('click', 'a.carter', function(e) {
    e.preventDefault();

    let me = $(this);
    if (me.hasClass('disabled')) return false;

    let ref = me.attr('href');
    me.addClass('loading disabled');

    $.get(ref, function(res) {
      me.removeClass('loading');
      res = JSON.parse(res);
      if ( ! res.hasOwnProperty('status') || ! res.hasOwnProperty('message')) return;

      toast(res.status, 'Success', res.extra);
      if (res.status == 'success' && me.hasClass('reload')) {
        location.reload();
      } else if (res.status == 'success') {
        $('.cart-cart').text(res.message);
        $('.cart-cart').removeClass('d-none');
        if (res.message < 1) $('.cart-cart').addClass('d-none');
        if (me.hasClass('closer')) {
          me.parents('.item-card').remove();
          sub_total();
          if (res.message <= 0) location.reload();
        }
      } else {
        me.removeClass('disabled');
      }
    });
  });

  $('.counting').click(function() {
    let counter = $('.countr', $(this).parent());
    let count = Number(counter.val());
    count += ($(this).hasClass('minus')) ? -1 : 1;
    count = ($(this).hasClass('minus') && count <= 1) ? 1 : count;
    counter.val(count).trigger('change');
  });

  $('.countr').change(function() {sub_total()});
})