$(document).ready(function(){
  $('.accordion-toggle').click(function(e) {
    e.preventDefault();

    if ( ! $(this).hasClass('active')) {
      $('.accordion .menu').removeClass('active')
      $('.accordion-toggle').removeClass('active')
    }

    $(this).toggleClass('active');
    $(this).next().toggleClass('active');
  })

  $('#title').text($('#page-title').text());

  $('a.disabled').on('click', function(e) {
    e.preventDefault();
    e.stopPropagation();
  });

  $('#modalY').click(function(e) {
    if (e.target.id === 'modalY')
      $(this).removeClass('shown');
  })

  $('[data-toggle="modal"]').click(function(e) {
    e.preventDefault();

    var modalY = $($(this).data('target'));
    modalY.addClass('shown');
    $('h6 b', modalY).text($(this).data('title'));
    var content = $($(this).data('id'));
    if (content.hasClass('d-none')) {
      $('.modal-item').addClass('d-none');
      content.removeClass('d-none');
    }
  });

  $('.linker').click(function(e) {
    e.preventDefault();

    $.get($(this).data('ref'), function(res) {
      res = JSON.parse(res);
      if (res.hasOwnProperty('status') && res.status == 'success')
        location.reload();
    });
  });

  $('#search-sm').addClass('d-none');
  $('.submit-x').click(function(e) {
    e.preventDefault();

    let me = $(this);
    let uri = me.data('ref');
    let form = me.parents('form');
    me.prop('disabled', true).addClass('active');
    $.post(uri, form.serialize(), function(res) {
      res = JSON.parse(res);
      if ( ! res.hasOwnProperty('status') || ! res.hasOwnProperty('message')) return;
      if (res.hasOwnProperty('extra') && res.extra === 'reload') location.reload();
      else if (res.hasOwnProperty('extra')) window.location = res.extra;
      else toast(res.status, res.status, res.message);
      me.prop('disabled', false).removeClass('active');
    });
  });
});